fop 1.1

## org.apache.fop.render.ps
Class PSRenderingContext

    java.lang.Object
      org.apache.fop.render.AbstractRenderingContext
          org.apache.fop.render.ps.PSRenderingContext

All Implemented Interfaces:
  RenderingContext

    public class PSRenderingContext

extends AbstractRenderingContext

Rendering context for PostScript production.

Constructor Summary
`PSRenderingContext(FOUserAgent userAgent, org.apache.xmlgraphics.ps.PSGenerator gen, FontInfo fontInfo)` Main constructor.
`PSRenderingContext(FOUserAgent userAgent, org.apache.xmlgraphics.ps.PSGenerator gen, FontInfo fontInfo, boolean createForms)` Special constructor.

Method Summary
`FontInfo` `getFontInfo()` Returns the font list.
`org.apache.xmlgraphics.ps.PSGenerator` `getGenerator()` Returns the PostScript generator.
`java.lang.String` `getMimeType()` Returns the MIME type associated with the current output format.
`boolean` `isCreateForms()` Indicates whether PS forms should be created for the images instead of inline images.
`PSRenderingContext` `toFormContext()` Create a copy of this rendering context and activate form mode.

Methods inherited from class org.apache.fop.render.AbstractRenderingContext
`getHint, getHints, getUserAgent, putHint, putHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PSRenderingContext

    public PSRenderingContext(FOUserAgent userAgent,
                              org.apache.xmlgraphics.ps.PSGenerator gen,
                              FontInfo fontInfo)

  Main constructor.

  Parameters:
    `userAgent` - the user agent
    `gen` - the PostScript generator
    `fontInfo` - the font list

### PSRenderingContext

    public PSRenderingContext(FOUserAgent userAgent,
                              org.apache.xmlgraphics.ps.PSGenerator gen,
                              FontInfo fontInfo,
                              boolean createForms)

  Special constructor.

  Parameters:
    `userAgent` - the user agent
    `gen` - the PostScript generator
    `fontInfo` - the font list
    `createForms` - true if form generation mode should be enabled

Method Detail

### getMimeType

    public java.lang.String getMimeType()

  Returns the MIME type associated with the current output format.

  Returns:
    the MIME type (ex. application/pdf)

### getGenerator

    public org.apache.xmlgraphics.ps.PSGenerator getGenerator()

  Returns the PostScript generator.

  Returns:
    the PostScript generator

### getFontInfo

    public FontInfo getFontInfo()

  Returns the font list.

  Returns:
    the font list

### isCreateForms

    public boolean isCreateForms()

  Indicates whether PS forms should be created for the images instead of inline images. Note that not all image handlers will support this!

  Returns:
    true if PS forms shall be created

### toFormContext

    public PSRenderingContext toFormContext()

  Create a copy of this rendering context and activate form mode.

  Returns:
    the form-enabled rendering context

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.